1. Drivers
eLogii
  • Introduction
  • Entities
  • FAQs
  • Query parameters
  • Webhooks
  • Tasks
    • Task Elements
    • createOrUpdateMany
      POST
    • Get tasks
      GET
    • Create tasks
      POST
    • Delete tasks
      POST
    • Update a task
      PUT
    • Get Proof of Delivery
      GET
    • Cancel tasks
      POST
    • Post Tasks Create Return
      POST
    • Move tasks to another date
      POST
    • postTasksReattempt
      POST
    • Start tracking a task (webhook)
      POST
  • Drivers
    • Driver Elements
    • Get drivers
      GET
    • Create multiple drivers
      POST
    • Update drivers
      POST
    • Delete drivers
      POST
  • Customers
    • Customer Elements
    • Get customers
      GET
    • Create customers
      POST
    • Update customers
      POST
    • Delete customers
      POST
  • Depots
    • Depot Elements
    • Get depots
    • Create depots
    • Update depots
    • Delete depots
  • Driver-schedule-exceptions
    • Driver-schedule-exception elements
    • Get all exceptions
    • Get schedule exception for a specific driver
    • Update a schedule exception
    • Create multiple schedule exceptions
    • Delete multiple schedule exceptions
  • Route-template-groups
    • Route-template-groups elements
    • Get route template groups
    • Create a route-template-group
    • Update a route template group
    • Delete multiple route template groups
    • Schedule for dates
  • Routes
    • Route Elements
    • Get routes
    • Clear route(s)
    • Lock route(s)
    • Unlock route(s)
    • Set planned ETAs
    • Setting the task order
  • Task-template-groups
    • Task-template-groups Elements
    • Get task-template-groups
    • Create task-template-groups
    • Get one task-template-group by _id
    • Update task-template-group
    • Delete one task-template-group
    • Delete multiple task-template-groups
    • Schedule task-template-groups for dates
    • Add tasks to group
  • Vehicles
    • Vehicle Elements
    • Create multiple vehicles
    • Get vehicles
    • Update multiple vehicles
    • Delete multiple vehicles
  • Zones
    • Zones Elements
    • getZones
    • postZones
    • putZones_id
    • deleteZones_id
  • Optimization
    • Optimization Elements
    • Run optimization for provided data set
    • Run optimization for one or multiple dates
    • Run optimization for one or multiple existing routes
    • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
    • Run optimization for a date range
  • Forms
    • Get all forms
    • Create and design a form
    • Update many forms
    • Delete many forms
  • Form submissions
    • Get all form submissions
    • Get a specific form's submissions
    • Update many form submissions
    • Delete many form submissions
  1. Drivers

Get drivers

Production
https://api-35.elogii.com
Production
https://api-35.elogii.com
GET
/drivers
This endpoint retrieves a list of drivers in your organization, including details such as names, contact information, start and end locations, and assigned vehicle information. Query parameters can be used to filter or sort the results as needed, they are described in detail here:Query parameters

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************

Responses

🟢200OK
*/*
Body

🟢200Errors
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-35.elogii.com/drivers' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: text/plain' \
--data-raw ''
Response Response Example
200 - OK - All drivers
This sample response shows the retrieval of all drivers.
[
    {
        "_id": "67ac98086193f8a2fe906045",
        "uid": "DR-XRJ7XMAA",
        "organization": "64706d34cb58b5e0000d2",
        "path": "64706d34cb58b5e1345160d2",
        "user": "67ac98086193f8a2fe906038",
        "userInfo": {
            "username": "driver0"
        },
        "firstName": "Driver - ",
        "lastName": "0",
        "mobile": "1739364351180",
        "mobile2": "",
        "vehicle": "67ac97fe6193f8a2fe905ff9",
        "vehicleInfo": {
            "_id": "67ac97fe6193f8a2fe905ff9",
            "uid": "V-9UDAJM3T",
            "name": "Vehicle 0",
            "vehicleType": "66d5f511c7e778e6adf5fd66",
            "category": 8,
            "capacity": {
                "Weight KG": 1600,
                "Weight lbs": 2000
            },
            "capabilities": [],
            "cost": {
                "perHour": [],
                "perDay": [],
                "perKM": []
            },
            "vehicleTypeUID": "VT-DIIP1NF9",
            "vehicleTypeName": "Large Truck"
        },
        "startLocation": {
            "type": 0,
            "uid": "DEP-8J2B7605",
            "_id": "679d1abf5ed4f3ee9dd42cd7",
            "name": "Marsh lane",
            "address": "Marsh Ln, Boston PE21 7SU, UK",
            "postCode": "PE21 7SU",
            "city": "Boston",
            "country": "United Kingdom",
            "coordinates": [
                -0.0190713,
                52.9644535
            ]
        },
        "depots": [],
        "skills": [
            "Zone 1",
            "transport"
        ],
        "zones": [],
        "tags": [],
        "teams": [],
        "state": 0,
        "schedule": {
            "Mon": {
                "timeWindows": [
                    {
                        "start": 300,
                        "end": 1350
                    }
                ]
            },
            "Tue": {
                "timeWindows": [
                    {
                        "start": 300,
                        "end": 1350
                    }
                ]
            },
            "Wed": {
                "timeWindows": [
                    {
                        "start": 300,
                        "end": 1350
                    }
                ]
            },
            "Thu": {
                "timeWindows": [
                    {
                        "start": 300,
                        "end": 1350
                    }
                ]
            },
            "Fri": {
                "timeWindows": [
                    {
                        "start": 300,
                        "end": 1350
                    }
                ]
            },
            "Sat": {
                "timeWindows": [
                    {
                        "start": 300,
                        "end": 1350
                    }
                ]
            },
            "Sun": {
                "timeWindows": [
                    {
                        "start": 300,
                        "end": 1350
                    }
                ]
            }
        },
        "flags": {
            "isExcludedFromOpti": true,
            "isAutoOptiDisabled": false,
            "isRouteETADisabled": false,
            "isAutoRoutingDisabled": false,
            "isUnconstrained": false,
            "isBusy": false,
            "isAccountDisabled": false,
            "isTestDriver": false,
            "hasAvatar": false,
            "isAvatarAwaitingApproval": false
        },
        "cost": {
            "perHour": [],
            "perDay": []
        },
        "rating": [],
        "createdAt": "2025-02-12T12:46:00.903Z",
        "updatedAt": "2025-08-14T16:32:53.591Z",
        "__v": 0,
        "email": "stephaniekimani240@gmail.com",
        "endLocation": null,
        "routeColors": {},
        "deviceData": {
            "platform": "iOS",
            "version": "18.5",
            "manufacturer": "Apple",
            "model": "iPhone12,3",
            "uuid": "2A91A459-1B65-4B15-8B6A-40A700B76652",
            "serial": "unknown",
            "appVersion": "3.5.609",
            "gitVersion": "33be888"
        },
        "multiDaySchedule": {}
    },
    {
        "_id": "67ac98086193f8a2fe906058",
        "uid": "DR-M8YYA0LQ",
        "organization": "64706d34cb58b5e1345160d2",
        "path": "64706d34cb58b5e1345160d2",
        "user": "67ac98086193f8a2fe90603c",
        "userInfo": {
            "username": "driver2"
        },
        "firstName": "Driver - ",
        "lastName": "2",
        "mobile": "1739364351180",
        "mobile2": "",
        "vehicle": "67ac97fe6193f8a2fe905ff5",
        "vehicleInfo": {
            "_id": "67ac97fe6193f8a2fe905ff5",
            "uid": "V-7ENE8IUG",
            "name": "Vehicle 2",
            "vehicleType": "66d5f511c7e778e6adf5fd66",
            "category": 8,
            "capacity": {
                "Weight KG": 1600,
                "Weight lbs": 2000
            },
            "capabilities": [],
            "cost": {
                "perHour": [],
                "perDay": [],
                "perKM": []
            },
            "vehicleTypeUID": "VT-DIIP1NF9",
            "vehicleTypeName": "Large Truck"
        },
        "startLocation": {
            "type": 2,
            "address": "Sloane Square, London, SW1W 8, United Kingdom",
            "postCode": "SW1W 8",
            "city": "London",
            "country": "United Kingdom",
            "coordinates": [
                -0.15701,
                51.49275
            ]
        },
        "depots": [
            "679d1abf5ed4f3ee9dd42cd7",
            "68700a28971b5234acc04a16"
        ],
        "skills": [
            "Zone 2"
        ],
        "zones": [],
        "tags": [],
        "teams": [],
        "state": 0,
        "schedule": {
            "Mon": {
                "timeWindows": [
                    {
                        "start": 300,
                        "end": 1350
                    }
                ],
                "breaks": []
            },
            "Tue": {
                "timeWindows": [
                    {
                        "start": 480,
                        "end": 2010
                    }
                ],
                "breaks": []
            },
            "Wed": {
                "timeWindows": [
                    {
                        "start": 300,
                        "end": 1350
                    }
                ],
                "breaks": []
            },
            "Thu": {
                "timeWindows": [
                    {
                        "start": 300,
                        "end": 1350
                    }
                ],
                "breaks": []
            },
            "Fri": {
                "timeWindows": [
                    {
                        "start": 300,
                        "end": 1350
                    }
                ],
                "breaks": []
            },
            "Sat": {
                "timeWindows": [
                    {
                        "start": 300,
                        "end": 1350
                    }
                ],
                "breaks": []
            },
            "Sun": {
                "timeWindows": [
                    {
                        "start": 300,
                        "end": 1350
                    }
                ],
                "breaks": []
            }
        },
        "flags": {
            "isExcludedFromOpti": false,
            "isAutoOptiDisabled": false,
            "isRouteETADisabled": false,
            "isAutoRoutingDisabled": false,
            "isUnconstrained": false,
            "isBusy": false,
            "isAccountDisabled": false,
            "isTestDriver": false,
            "hasAvatar": false,
            "isAvatarAwaitingApproval": false
        },
        "cost": {
            "perHour": [],
            "perDay": []
        },
        "rating": [],
        "createdAt": "2025-02-12T12:46:00.960Z",
        "updatedAt": "2025-08-25T21:15:32.325Z",
        "__v": 0,
        "endLocation": null,
        "routeColors": {},
        "deviceData": {
            "platform": "iOS",
            "version": "18.5",
            "manufacturer": "Apple",
            "model": "iPhone12,3",
            "uuid": "2A91A459-1B65-4B15-8B6A-40A700B76652",
            "serial": "unknown",
            "appVersion": "3.5.620",
            "gitVersion": "4e42b43"
        },
        "multiDaySchedule": {
            "Mon": {
                "maxMultiDayRouteDays": 2,
                "timeWindows": [
                    {
                        "start": 240,
                        "end": 1020
                    }
                ],
                "breaks": []
            },
            "Tue": {
                "maxMultiDayRouteDays": 2,
                "timeWindows": [
                    {
                        "start": 240,
                        "end": 1020
                    }
                ],
                "breaks": []
            },
            "Wed": {
                "maxMultiDayRouteDays": 2,
                "timeWindows": [
                    {
                        "start": 240,
                        "end": 1020
                    }
                ],
                "breaks": []
            },
            "Thu": {
                "maxMultiDayRouteDays": 2,
                "timeWindows": [
                    {
                        "start": 240,
                        "end": 1020
                    }
                ],
                "breaks": []
            },
            "Fri": {
                "maxMultiDayRouteDays": 2,
                "timeWindows": [
                    {
                        "start": 240,
                        "end": 1020
                    }
                ],
                "breaks": []
            },
            "Sat": {
                "maxMultiDayRouteDays": 2,
                "timeWindows": [
                    {
                        "start": 240,
                        "end": 1020
                    }
                ],
                "breaks": []
            },
            "Sun": {
                "maxMultiDayRouteDays": 2,
                "timeWindows": [
                    {
                        "start": 240,
                        "end": 1020
                    }
                ],
                "breaks": []
            }
        }
    }
]
Modified at 2025-11-12 16:33:15
Previous
Driver Elements
Next
Create multiple drivers
Built with